package com.ruoyi.system.service;

import com.ruoyi.system.domain.EpsBusinessDeploy;

import java.util.List;

/**
 * 业务下发管理Service接口
 * 
 * @author gyt
 * @date 2025-10-13
 */
public interface IEpsBusinessDeployService 
{
    /**
     * 查询业务下发管理
     * 
     * @param id 业务下发管理主键
     * @return 业务下发管理
     */
    public EpsBusinessDeploy selectEpsBusinessDeployById(Long id);

    /**
     * 查询业务下发管理列表
     * 
     * @param epsBusinessDeploy 业务下发管理
     * @return 业务下发管理集合
     */
    public List<EpsBusinessDeploy> selectEpsBusinessDeployList(EpsBusinessDeploy epsBusinessDeploy);

    /**
     * 新增业务下发管理
     * 
     * @param epsBusinessDeploy 业务下发管理
     * @return 结果
     */
    public int insertEpsBusinessDeploy(EpsBusinessDeploy epsBusinessDeploy);

    /**
     * 修改业务下发管理
     * 
     * @param epsBusinessDeploy 业务下发管理
     * @return 结果
     */
    public int updateEpsBusinessDeploy(EpsBusinessDeploy epsBusinessDeploy);

    /**
     * 批量删除业务下发管理
     * 
     * @param ids 需要删除的业务下发管理主键集合
     * @return 结果
     */
    public int deleteEpsBusinessDeployByIds(Long[] ids);

    /**
     * 删除业务下发管理信息
     * 
     * @param id 业务下发管理主键
     * @return 结果
     */
    public int deleteEpsBusinessDeployById(Long id);

    /**
     * 审核
     * @param epsBusinessDeploy
     * @return
     */
    int reviewBusiness(EpsBusinessDeploy epsBusinessDeploy);
}
